Get subscription usage
curl --request GET \
--url https://app.jolts.xyz/api/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.jolts.xyz/api/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.jolts.xyz/api/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.jolts.xyz/api/usage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.jolts.xyz/api/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.jolts.xyz/api/usage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.jolts.xyz/api/usage")
.header("Authorization", "Bearer <token>")
.asString();{
"subscription": {
"plan": "builder",
"status": "active",
"current_period_start": "2026-09-18T02:47:05Z",
"current_period_end": "2026-10-16T02:47:05Z"
},
"usage": {
"request_units": 3,
"weekly_request_units": 3,
"delivered_units": 4,
"weekly_delivered_units": 4,
"fresh_evidence_units": 0
},
"limits": {
"request_units": 200,
"weekly_request_units": 1000,
"delivered_units": 500,
"weekly_delivered_units": 2500
},
"reservations": {
"request_units": 1,
"delivered_units": 10
}
}{
"error": {
"code": "invalid_api_key",
"message": "Provide a valid API credential."
}
}{
"error": {
"code": "subscription_required",
"message": "An active or trialing subscription is required."
}
}Account
Get subscription usage
Unmetered allowance report shared by all credentials on this subscription.
Examples use fictional test data and illustrative IDs, dates, and allowances. They are not live prospects or current account balances.
GET
/
api
/
usage
Get subscription usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.